﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.Data;
using System.Diagnostics;
using System.Numerics;
using System.Threading.Tasks;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    protected void cmdHelloWorld_Click(object sender, EventArgs e)
    {
        //Variabele declareren:
        string sGroet = "Hello World";
        //En wegschrijven:
        Response.Write(sGroet);

    }
    protected void cmdVariables_Click(object sender, EventArgs e)
    {
        //Zorg ervoor dat we stap-voor-stap door de code kunnen gaan:
        Debugger.Break();

        //Tekst:
        string sGroet = "Hello World";
        string sAntwoord = "Ook hallo";

        string sTotaal = sGroet + " " + sAntwoord;

        sTotaal = "Gewijzigd";
        sTotaal += " en nogmaals";

        //Gehele getallen:
        int iGeheel;
        iGeheel = 2;
        iGeheel = 10000 * iGeheel;
        iGeheel++;
        int iNul = 0;
        //iGeheel = iGeheel / 0;        //Division by Zero! (code compileert niet)
        //iGeheel = iGeheel / iNul;   //Division by Zero! (code compileert wel)

        iGeheel = 2000111000;
        iGeheel = iGeheel + iGeheel;  //Overflow! Uitkomst wordt onbetrouwbaar!

        long iLong = 2000111000;
        iLong = iLong * 3;

        BigInteger iBig = new BigInteger(); //Requires using System.Numerics;
        iBig = BigInteger.Parse("-90315837410896312071002088037140000");
        string sBig = iBig.ToString(); //-9.0315837410896312071002088037E+34

        //Gebroken getallen:
        float fBreuk = 3.1415F; //De F is verplicht!
        fBreuk *= 2;

        double dDouble = 9.8978D;    //De D is optioneel
        dDouble = dDouble + fBreuk;

        decimal dDec = 9.97M;   //De M is verplicht
        dDec = 33.3M + 0.1M;

        //True/false:
        bool bOK = false;
        bOK = true;

        if (bOK) bOK = false;
        if (bOK == true) bOK = false;   //Zelfde als hierboven

        //Datum/tijd:
        DateTime dt1 = DateTime.Now;
        DateTime dt2 = DateTime.Today;
        DateTime dt3 = new DateTime(2010, 2, 28);
        DateTime dt4 = new DateTime(2010, 2, 28, 10, 0, 0);

        TimeSpan verschil = dt4.Subtract(DateTime.Now);
        double dVerschilInDagen = verschil.TotalDays;

    }

    protected void cmdConstants_Click(object sender, EventArgs e)
    {
        const float PI = 3.1415F;
        float straal = 20F;
        float Omtrek = 2 * PI * straal;

        //OF:
        Omtrek = 2 * (float)Math.PI * straal;
    }

    protected void cmdConversie_Click(object sender, EventArgs e)
    {
        Debugger.Break();


        //Toelaatbaar: 'widening conversion':
        int i1 = 1000;
        long lng1;
        lng1 = i1;

        //Niet toelaatbaar: 'narrowing conversion':
        int i2 = 1000;
        long lng2 = 5;
        //i2 = lng2;
        i2 = (int)lng2; //Nu mag het weer wel.

        //Toelaatbaar: int naar float
        float f1 = 10.3F;
        int i3 = 2;
        f1 = i3;

        //Niet toelaatbaar: float naar int
        float f2 = 10.3F;
        int i4 = 2;
        //i4 = f2;
        i4 = (int)f2; //Zo mag het weer wel; maar fractie valt weg

        //Alternatief:
        i4 = Convert.ToInt32(f2);
        string s = "10";    //Een string die toch een getal bevat

        i4 = Convert.ToInt32(s);

        i4 = Int32.Parse(s);
        bool bSucces = Int32.TryParse(s, out i4);   //Gaat als enige goed indien s "10a" bevat!

        bool bMyBool = Convert.ToBoolean(100);

        //Een sommetje:
        int iProduct = 40;
        float fBTW = 19F * 40F / 100F;
        float fTotaal = (float)iProduct + fBTW;
    }
    protected void cmdOperators_Click(object sender, EventArgs e)
    {
        //Logische operatoren:
        int A = 10; int B = 8; int C = 6;
        bool bCheck = false;
        bCheck = A > B ^ B > C; // Returns False.
        bCheck = B > A ^ B > C; // Returns True.
        bCheck = B > A ^ C > B; // Returns False.

        bool bResult = false; bool a = false; bool b = true;
        bResult = ((a == true) && (b == true));
    }
    protected void cmdArray_Click(object sender, EventArgs e)
    {
        string[] Countries = new string[5];

        Countries[0] = "Holland";
        Countries[1] = "Belgium";
        Countries[2] = "United Kingdom";
        Countries[3] = "Germany";
        Countries[4] = "Turkey";

        string[] CountriesInit = { "Holland", "Belgium", "UK", "Germany", "Turkey" };

        //Multidimensioneel:

        string[,] CountriesMD = new string[5, 2];

        //Set CountriesMD:
        CountriesMD[0, 0] = "Holland";
        CountriesMD[1, 0] = "Belgium";
        CountriesMD[2, 0] = "United Kingdom";
        CountriesMD[3, 0] = "Germany";
        CountriesMD[4, 0] = "Turkey";

        //Set population in millions:
        CountriesMD[0, 1] = "16 M";
        CountriesMD[1, 1] = "10 M";
        CountriesMD[2, 1] = "65 M";
        CountriesMD[3, 1] = "78 M";
        CountriesMD[4, 1] = "80 M";
    }

    public enum Continent { Europe, Africa, Asia, NorthAmerica, SouthAmerica, Australia }

    public enum Continent2
    {
        Europe = 0,
        Africa = 1,
        Asia = 2,
        NorthAmerica = 3,
        SouthAmerica = 4,
        Australia = 10
    }

    protected void cmdEnums_Click(object sender, EventArgs e)
    {
        Continent myContinent = Continent.Europe;

        myContinent = Continent.Africa;

        object x = Enum.Parse(typeof(Continent), "Europe");
    }


    protected void cmdMethods_Click(object sender, EventArgs e)
    {
        float kalePrijs = 100F;

        BerekenBTW1(kalePrijs);

        float result2 = BerekenBTW2(kalePrijs);

        BerekenBTW3(ref kalePrijs);
        kalePrijs = 100F;

        float BTWBedrag, TotaalBedrag;
        BerekenBTW4(kalePrijs, out BTWBedrag, out TotaalBedrag);

    }

    void BerekenBTW1(float Bedrag)
    {//Methode geeft geen resultaat...
        const float BTW = 0.19F;

        float result = Bedrag + (Bedrag * BTW);
    }

    float BerekenBTW2(float Bedrag)
    {//Methode geeft resultaat via return type.
        const float BTW = 0.19F;

        float result = Bedrag + (Bedrag * BTW);
        return result;
    }

    void BerekenBTW3(ref float Bedrag)
    {//Methode geeft resultaat via parameter.
        const float BTW = 0.19F;

        float result = Bedrag + (Bedrag * BTW);
        Bedrag = result;
    }

    void BerekenBTW4(float Bedrag, out float BTWBedrag, out float TotaalBedrag)
    {//Methode geeft meervoudig resultaat
        const float BTW = 0.19F;

        BTWBedrag = Bedrag * BTW;
        TotaalBedrag = Bedrag + BTWBedrag;
    }


    protected void cmdParameters_Click(object sender, EventArgs e)
    {
        float result1 = BerekenKostprijs(1000F, 2);
        float result2 = BerekenKostprijs(1000F, 2, true);
        float result3 = BerekenKostprijs(1000F, 2, true, 19F);
        float result4 = BerekenKostprijs(1000F, 2, BTWPercentage: 19F);
    }

    float BerekenKostprijs(float Bedrag, int Aantal, bool MetBTW = false, float BTWPercentage = 0.0F)
    {
        float TotaalBedrag = Bedrag * Aantal;

        if (MetBTW)
        {
            float BTWBedrag = TotaalBedrag * BTWPercentage / 100;
            TotaalBedrag += BTWBedrag;
        }
        return TotaalBedrag;
    }

    protected void cmdDecisions_Click(object sender, EventArgs e)
    {
        DemoIf();
        DemoSwitch();
    }

    void DemoIf()
    {

        int iHour = DateTime.Now.Hour;

        if (iHour >= 0)
        {
            Response.Write("Valid time!");
        }

        if (iHour >= 0) Response.Write("Valid time!");
        if (iHour > 6 & iHour < 12)
        {
            Response.Write("Good morning!");
        }
        if (((iHour > 6) & (iHour < 12)))
        {
            Response.Write("Good morning!");
        }

        if (((iHour > 6) && (iHour < 12)))
        {
            Response.Write("Good morning!");
        }


        if (((iHour > 6) & (iHour < 12)))
        {
            Response.Write("Good morning!");
        }
        else
        {
            Response.Write("Not a morning, but still good!");
        }


        if (iHour >= 0 & iHour < 6)
        {
            Response.Write("Good night!");
        }
        else if (iHour >= 6 & iHour < 12)
        {
            Response.Write("Good morning!");
        }
        else if (iHour >= 12 & iHour < 18)
        {
            Response.Write("Good afternoon!");
        }
        else if (iHour >= 18 & iHour < 24)
        {
            Response.Write("Good evening!");
        }
        else
        {
            Response.Write("An error occured!");
        }

        //Geneste if:

        if (iHour > 6 & iHour < 12)
        {
            Response.Write("Good morning!");

            if (iHour == 10)
            {
                Response.Write("Coffee time!");
            }
        }
    }







    void DemoSwitch()
    {
        Continent myContinent = Continent.Africa;

        switch (myContinent)
        {
            case Continent.Europe:
                Response.Write("Keuze: Europe");
                break;
            case Continent.Africa:
                //Enz.
                break;
            case Continent.Asia:
                break;
            case Continent.NorthAmerica:
                break;
            case Continent.SouthAmerica:
                break;
            case Continent.Australia:
                break;
            default:
                break;
        }
    }
    protected void cmdLoops_Click(object sender, EventArgs e)
    {
        DemoFor();
        DemoForEach();
    }

    void DemoFor()
    {
        int k = 0;
        int iSum = 1000;

        for (k = 0; k < 10; k++)
        {
            iSum++;
        }

        for (int i = 0; i < 10; i++)
        {
            iSum++;
        }

        for (int i = 20; i > 0; i--)
        {
            iSum--;
        }


        //Net iets meer weten:
        string s = "";
        DateTime dtStart = new DateTime();
        TimeSpan tsSingle, tsParallel;

        //Gebruikt één CPU:
        dtStart = DateTime.Now;
        for (int i = 0; i < 100000; i++)
        {
            s += "a";
        }
        tsSingle = DateTime.Now.Subtract(dtStart);      //41 secs
        s = "";

        //Gebruikt meerdere CPUs:
        dtStart = DateTime.Now;
        Parallel.For(0, 100000, i =>    //Using System.Threading
        {
            s += "a";
        });
        tsParallel = DateTime.Now.Subtract(dtStart);    //3 secs
        Debugger.Break();           //Using System.Diagnostics


    }

    void DemoForEach()
    {
        string[] Countries = new string[5];

        Countries[0] = "Holland";
        Countries[1] = "Belgium";
        Countries[2] = "United Kingdom";
        Countries[3] = "Germany";
        Countries[4] = "Turkey";

        string AllCountries = "";

        foreach (string country in Countries)
        {
            AllCountries += country + "; ";
        }

        //Of, eenvoudiger: 
        AllCountries = string.Join("; ", Countries);
    }



}
