﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class SessionDemo_Default1 : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
    }
    
    protected void cmdDemoQueryString_Click(object sender, EventArgs e)
    {
        string name = txtName.Text;
        string lang = rblLanguage.SelectedValue;

        string sQuery = string.Format("lang={0}&name={1}", lang, name);

        //Optionally, encrypt:
        if (chkEncrypt.Checked)
        {
            sQuery = EncryptQueryString.Encrypt(sQuery);
            //Save in session, because we use query string for other purpose:
            Session["ENCR"] = true;
        }

        string url = string.Concat("~/QueryString/ReadQueryString.aspx?", sQuery);
        
        Response.Redirect(url);
    }
}
