﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.Text;

public partial class UseControl : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        CountryPicker1.ChoiceComplete += new CountryPicker.delChoiceComplete(CountryPicker1_ChoiceComplete);
        CountryPicker1.ChoiceInvalid += new CountryPicker.delChoiceInvalid(CountryPicker1_ChoiceInvalid);
    }
      
    void CountryPicker1_ChoiceComplete(object sender, CountryPicker.CountryPickerEventArgs e)
    {
        CountryPicker cPick = (CountryPicker)sender;
        lblResult.Text = string.Format("ControlID = {0}, Land = {1}; Provincie = {2}", cPick.ID, e.Country, e.State);
    }

    void CountryPicker1_ChoiceInvalid(bool CountryMissing, bool StateMissing)
    {        
        lblResult.Text = "Kies a.u.b.: " + (CountryMissing ? "Land " : "") + (StateMissing ? "Provincie" : "");
    }

    protected void btnRead_Click(object sender, EventArgs e)
    {
        StringBuilder sb = new StringBuilder();
        sb.Append("Header = " + CountryPicker1.Header + "<br/>");
        sb.Append("Country = " + CountryPicker1.Country + "<br/>");
        sb.Append("State = " + CountryPicker1.State + "<br/>");
        sb.Append("Choice = " + CountryPicker1.Choice + "<br/>");
        lblProperties.Text = sb.ToString();
    }
}
