﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.IO;

public partial class Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            ddlEmp.DataSource = CEmployees.GetEmployees();
            ddlEmp.DataValueField = "EmployeeID";
            ddlEmp.DataTextField = "FullName";
            ddlEmp.DataBind();

            FetchPicture();
        }
    }

    protected void ddlEmp_SelectedIndexChanged(object sender, EventArgs e)
    {
        FetchPicture();
    }

    private void FetchPicture()
    {
        if (ddlEmp.SelectedIndex > -1)
        {
            int EmpId = Convert.ToInt32(ddlEmp.SelectedValue);
            string sUrl = string.Format("~/MakePicture.ashx?EmpID={0}", EmpId);
            imgPhoto.ImageUrl = sUrl;
        }
    }
    protected void cmdSave_Click(object sender, EventArgs e)
    {
        if (FileUpload1.HasFile)
        {
            byte[] MyData = FileUpload1.FileBytes; 

            int EmpId = Convert.ToInt32(ddlEmp.SelectedValue);
            CBlob.SavePicture(EmpId, MyData);
        }
    }
}
