﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="DetailsViewInsert.aspx.cs"
    Inherits="DetailsViewInsert" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
    </div>
    <asp:DetailsView ID="dvDetails" runat="server" AutoGenerateRows="False" DataSourceID="odsOneProduct"
        DefaultMode="Insert" Height="50px" Width="125px" 
        oniteminserted="dvDetails_ItemInserted">
        <Fields>
            <asp:BoundField DataField="ProductName" HeaderText="ProductName" SortExpression="ProductName" />
            <asp:BoundField DataField="UnitPrice" HeaderText="UnitPrice" SortExpression="UnitPrice" />
            <asp:CheckBoxField DataField="Discontinued" HeaderText="Discontinued" SortExpression="Discontinued" />
            <asp:TemplateField HeaderText="CategoryID" SortExpression="CategoryID">
                <EditItemTemplate>
                    <asp:TextBox ID="TextBox1" runat="server" Text='<%# Bind("CategoryID") %>'></asp:TextBox>
                </EditItemTemplate>
                <InsertItemTemplate>
                    <asp:DropDownList ID="ddlCategories" runat="server" DataSourceID="obsCategories"
                        SelectedValue='<%# Bind("CategoryID", "{0}") %>' DataTextField="CategoryName"
                        DataValueField="CategoryID">
                    </asp:DropDownList>
                </InsertItemTemplate>
                <ItemTemplate>
                    <asp:Label ID="Label1" runat="server" Text='<%# Bind("CategoryID") %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField ShowHeader="False">
                <InsertItemTemplate>
                    <asp:LinkButton ID="LinkButton1" runat="server" CausesValidation="True" 
                        CommandName="Insert" Text="Insert"></asp:LinkButton>
                    &nbsp;<asp:LinkButton ID="LinkButton2" runat="server" CausesValidation="False" 
                        CommandName="Cancel" onclick="InsertCancelButton_Click" Text="Cancel"></asp:LinkButton>
                </InsertItemTemplate>
                <ItemTemplate>
                    <asp:LinkButton ID="LinkButton1" runat="server" CausesValidation="False" 
                        CommandName="New" Text="New"></asp:LinkButton>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:CommandField ShowInsertButton="False" />
        </Fields>
        <HeaderTemplate>
            Vul gegevens in voor nieuw product:
        </HeaderTemplate>
    </asp:DetailsView>
    <br />
    <asp:ObjectDataSource ID="odsOneProduct" runat="server" DataObjectTypeName="Product"
        InsertMethod="Insert" SelectMethod="Select" TypeName="Product"></asp:ObjectDataSource>
    <asp:ObjectDataSource ID="obsCategories" runat="server" SelectMethod="SelectCategories"
        TypeName="Product"></asp:ObjectDataSource>
    <br />
    <br />
    </form>
</body>
</html>
