﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Repeater.aspx.cs" Inherits="Repeater" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <h1>
            Producten 
            met Repeater</h1>
        <p>
            <asp:Repeater ID="Repeater1" runat="server" DataSourceID="odsProducts">
                <HeaderTemplate>
                    <table border="1">
                        <tr>
                            <td>
                                <b>Productnaam</b>
                            </td>
                            <td>
                                <b>Prijs</b>
                            </td>
                        </tr>
                </HeaderTemplate>
                <ItemTemplate>
                    <tr>
                        <td>
                            <%# DataBinder.Eval(Container.DataItem, "ProductName") %>
                        </td>
                        <td>
                            <%# DataBinder.Eval(Container.DataItem, "UnitPrice") %>
                        </td>
                    </tr>
                </ItemTemplate>
                <FooterTemplate>
                    </table>
                </FooterTemplate>
            </asp:Repeater>
        </p>
        <asp:ObjectDataSource ID="odsProducts" runat="server" DataObjectTypeName="Product"
            DeleteMethod="Delete" InsertMethod="Insert" SelectMethod="SelectAll" TypeName="Product"
            UpdateMethod="Update"></asp:ObjectDataSource>
        <asp:ObjectDataSource ID="obsCategories" runat="server" SelectMethod="SelectCategories"
            TypeName="Product"></asp:ObjectDataSource>
    </div>
    </form>
</body>
</html>
