﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

using System.Data;
using System.Data.SqlClient;

public class Results
{

    public static DataTable TurnOverByYear()
    {
        DataTable dt = new DataTable("Results");

        using (SqlConnection cn = CData.GetConnection())
        {
            string sql = "SELECT YEAR(Orders.OrderDate) +12 AS Year, " +
                "SUM([Order Details].UnitPrice * [Order Details].Quantity) AS TurnOver " +
                "FROM [Order Details] INNER JOIN Orders ON [Order Details].OrderID = " + 
                "Orders.OrderID GROUP BY YEAR(Orders.OrderDate)";

            SqlCommand com = new SqlCommand(sql, cn);
            SqlDataAdapter da = new SqlDataAdapter(com);
            da.Fill(dt);
        }
        return dt;
    }

}