﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="ChartAdvanced.aspx.cs" Inherits="ChartAdvanced" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:Chart ID="Chart1" runat="server" Height="372px" Width="414px">
            <Series>
                <asp:Series Name="ThisYear" ToolTip="#PERCENT{P}">
                    <Points>
                        <asp:DataPoint AxisLabel="Frankrijk" YValues="204" />
                        <asp:DataPoint AxisLabel="Spanje" YValues="608" />
                        <asp:DataPoint AxisLabel="Italië" YValues="1312" />
                        <asp:DataPoint AxisLabel="Griekenland" YValues="200" />
                    </Points>
                </asp:Series>
                <asp:Series ChartArea="ChartArea1" Name="LastYear" BorderWidth="4" ChartType="Line"
                    MarkerColor="Orange" MarkerStyle="Square" ToolTip="#PERCENT{P}">
                    <Points>
                        <asp:DataPoint YValues="250" />
                        <asp:DataPoint YValues="400" />
                        <asp:DataPoint YValues="500" />
                        <asp:DataPoint YValues="80" />
                    </Points>
                </asp:Series>
                <asp:Series ChartArea="ChartArea2" ChartType="Pie" Name="Places">
                    <Points>
                        <asp:DataPoint AxisLabel="Kamers" MapAreaAttributes="" ToolTip="" Url="" YValues="70" />
                        <asp:DataPoint AxisLabel="Chalets" MapAreaAttributes="" ToolTip="" Url="" YValues="80" />
                    </Points>
                </asp:Series>
            </Series>
            <ChartAreas>
                <asp:ChartArea Name="ChartArea1">
                    <AxisY>
                        <ScaleBreakStyle Enabled="True" Spacing="5" />
                    </AxisY>
                </asp:ChartArea>
                <asp:ChartArea Name="ChartArea2">
                    <Area3DStyle Enable3D="True" />
                </asp:ChartArea>
            </ChartAreas>
            <Titles>
                <asp:Title Name="Title1" Text="Aantal boekingen">
                </asp:Title>
            </Titles>
        </asp:Chart>
    </div>
    </form>
</body>
</html>
