<xsl:stylesheet version='1.0' xmlns:xsl='http://www.w3.org/1999/XSL/Transform'>
  <xsl:template match="/">
    <table width="210" border="1pt" cellspacing="0" cellpadding="3" bordercolor="#dddddd" style="border-collapse:collapse;">
      <tr>
        <th>#</th>
        <th align="left">Visitor name </th>
        <th>Company</th>
        <th>E-mail</th>
        <th>Visits</th>
      </tr>
      <xsl:for-each select='Visitors/Visitor'>
        <tr>
          <td class="Normal" width="100">
            <i>
              <xsl:value-of select='@ID'/>
            </i>
          </td>
          <td class="Normal">
            <xsl:value-of select='FirstName'/>
            <xsl:text> </xsl:text>
            <xsl:value-of select='LastName'/>
          </td>
          <td class="Normal">
            <xsl:value-of select='Company'/>
          </td>
          <td class="Normal">
            <xsl:value-of select='Email'/>
          </td>
          <td class="Normal">
            <xsl:if test='Visits &gt; 5'>
              <xsl:attribute name='style'>
                <xsl:text>color:red</xsl:text>
              </xsl:attribute>
            </xsl:if>
            <CENTER>
              <xsl:value-of select='Visits'/>
            </CENTER>
          </td>
        </tr>
      </xsl:for-each>
    </table>
  </xsl:template>
</xsl:stylesheet>
