﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.Data;
using System.Web.Caching;
using System.Diagnostics;

public partial class CachingWithProps : System.Web.UI.Page
{
    private static CacheItemRemovedCallback del = null;

    public void ItemExpired(string key, object value, CacheItemRemovedReason reason)
    {
        //Do work; e.g., insert into Cache again.
        Debugger.Break();
    }

    protected void lbFillGridView_Click(object sender, EventArgs e)
    {
        DataTable dt;

        if (Cache["Products"] != null)
        {
            dt = (DataTable)Cache["Products"];
        }
        else
        {
            dt = Product.SelectAll();
           
            TimeSpan tsSlid = TimeSpan.FromSeconds(15);
            del = new CacheItemRemovedCallback(this.ItemExpired);
            Cache.Insert("Products", dt, null,
                Cache.NoAbsoluteExpiration, tsSlid, CacheItemPriority.High, del);	

            
        }

        gvProducts.DataSource = dt;
        gvProducts.DataBind();

    }
    protected void lbClearCache_Click(object sender, EventArgs e)
    {
        CachedItems.RemoveItemFromCache("Products");
    }
}
