﻿using System;
using System.Diagnostics;
using System.Net.Mail;

public class Email
{
    private const string MYHOST = "localhost";
    private const string TO = "webmaster@test.eu";
    private const string FROM = "demowebsite@test.eu";


    public static bool SendMail(string sSubject, string sBody)
    {
        MailMessage msg = new MailMessage();
        msg.From = new MailAddress(FROM);
        msg.To.Add(new MailAddress(TO));

        msg.IsBodyHtml = true;
        msg.Subject = sSubject;
        msg.Body = sBody;

        try
        {
            SmtpClient client = new SmtpClient(MYHOST);
            client.Send(msg);
        }
        catch (InvalidOperationException ex)
        {
            Debug.Print(ex.Message);
            return false;

        }
        catch (SmtpException ex)
        {
            Debug.Print(ex.Message);
            return false;

        }
        catch (Exception ex)
        {
            Debug.Print(ex.Message);
            return false;
        }
        return true;
    }
}
