﻿
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI;

//Need reference to System.Web!

namespace CountryWeather
{
    /// <summary>
    /// CONNECTION CONSUMER
    /// </summary>
    public class WeatherCondition : WebPart
    {
        private string sCountry;
        private Image imgWeather;


        [ConnectionConsumer("CountryID", "CountryID")]
        public void GetMemberName(ICountryWeather countryInfo)
        {
            if (countryInfo != null)
            {
                sCountry = countryInfo.CountryID;
            }
        }

        protected override void CreateChildControls()
        {
            imgWeather = new Image();

            imgWeather.ImageUrl = "~/Images/weather.gif";

            Controls.Add(new LiteralControl("Weather condition in " + sCountry + ":" + "</br>"));

            Controls.Add(imgWeather);
        }

    }

}
