﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class AutoResource : System.Web.UI.Page
{
    //Gebruik deze page event om Culture en UICulture in te stellen. Moet tijdig!
    protected override void InitializeCulture()
    {
        string culture = Profile.Language;

        Page.Culture = culture;     //Toont datum en valuta op juiste wijze
        Page.UICulture = culture;   //Laadt de juiste resource file

        //Dit kan nog niet in deze event:
        lblCurrency.Text = lblCurrency.Text;

        //Dus doe dit:
        object myControl = Request.Form[0]; //enz

        base.InitializeCulture();
    }

    protected void Page_Load(object sender, EventArgs e)
    {

        lblCurrency.Text = string.Format("{0:C}", 12.5);
        lblDateTime.Text = DateTime.Now.ToLongDateString();
    }
    protected void lbHome_Click(object sender, EventArgs e)
    {
        Response.Redirect("Default.aspx");
    }
}