﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Configuration;
using System.Web.UI;

public class RelocatePages : IHttpHandler
{
    public bool IsReusable
    {
        get { return false; }
    }

    public void ProcessRequest(HttpContext context)
    {
        // declare vars
        string requestedUrl; string targetUrl; 
        int urlLength;  
        requestedUrl = context.Request.RawUrl;

        if (requestedUrl.IndexOf("?") >= 0) 
            targetUrl = ConfigurationManager.AppSettings[requestedUrl.Substring(0, requestedUrl.IndexOf("?"))];
        else
            targetUrl = ConfigurationManager.AppSettings[requestedUrl];
        
        if (targetUrl == null || targetUrl.Length == 0) 
            targetUrl = requestedUrl;  // save target url length
        urlLength = targetUrl.IndexOf("?");
        if (urlLength == -1) 
            urlLength = targetUrl.Length;  // rewrite path
        context.RewritePath(targetUrl);
        
        IHttpHandler handler = PageParser.GetCompiledPageInstance(targetUrl.Substring(0, urlLength), null, context); 
        handler.ProcessRequest(context);
    }

}
