﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.Data;
using Northwind;
using System.Text;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            ProductsClient client = new ProductsClient();
            DataTable dt = client.GetAllProducts();
            GridView1.DataSource = dt;
            GridView1.DataBind();
        }
    }

    protected void cmdGet_Click(object sender, EventArgs e)
    {
        ProductsClient client = new ProductsClient();
        Product prod = client.GetProductByID(Convert.ToInt32(txtID.Text));

        if (prod != null)
        {
            StringBuilder sb = new StringBuilder();
            sb.Append("Productnaam: ");
            sb.Append(prod.ProductName);
            sb.Append("<br/>Stuksprijs: ");
            sb.Append(prod.UnitPrice);
            sb.AppendLine("<br/>Uit voorraad: ");
            sb.Append(prod.Discontinued);

            lblOneProduct.Text = sb.ToString();
        }
    }
}
