﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.Security;
using System.Diagnostics;

public partial class Reg_Confirmation : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

        string sName = "";
        string sUserID = "";
        string sMail = "";

        //TEST URLs VOOR LOCALHOST: 
        // http://localhost:3743/Website/Aanmelding/Bevestiging.aspx?name=Piet&id=4&mail=Piet@fastbird.nl 
        bool bSuccess = false;

        if (Request.QueryString["name"] != null)
        {
            sName = Request.QueryString["name"];
        }

        if (Request.QueryString["id"] != null)
        {
            sUserID = Request.QueryString["id"];
        }

        //The webuser (relation, customer's customer): 
        if (Request.QueryString["mail"] != null)
        {
            sMail = Request.QueryString["mail"];
        }

        //Get user id; if unable, use -1 and go on: 
        int iUserID = -1;

        int.TryParse(sUserID, out iUserID);

        if (iUserID != -1)
        {
            try
            {
                //Always continue on errors! 
                
                MembershipUser newUser = Membership.GetUser(sName, false);

                if (newUser != null && (int)newUser.ProviderUserKey == iUserID && newUser.Email == sMail)
                {
                    bSuccess = newUser.UnlockUser();
                }
            }
            catch (Exception ex)
            {
                Debug.WriteLine(ex.Message);
            }
        }

        if (bSuccess)
        {
            lblBericht.Text = "Bevestigen aanmelding is gelukt. Ga nu verder naar de inlogpagina.";
        }
        else
        {
            lblBericht.Text = "Bevestigen aanmelding is mislukt. Neem contact op met de beheerder.";
        }


    }
}
