﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.Security;
using System.Text;
using System.Configuration.Provider;

public partial class Reg_RecoverPassword : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    protected void PasswordRecovery1_SendingMail(object sender, System.Web.UI.WebControls.MailMessageEventArgs e)
    {
        //Stuur een e-mail naar de gebruiker met een bevestigingslink 
        try
        {


            MembershipUser theUser = Membership.GetUser(PasswordRecovery1.UserName, false);
            string sUrl = Request.Url.AbsoluteUri.Replace("Aanmelding/Wachtwoordvergeten.aspx", "Default.aspx");

            StringBuilder sBody = new StringBuilder();

            sBody.Append(string.Format("<p>Geachte heer of mevrouw {0},</p>", theUser.UserName));
            sBody.Append("<br/>");
            sBody.Append(string.Format("<p>Uw gebruikersnaam is: {0}</p>", theUser.UserName));
            sBody.Append(string.Format("<p>Uw wachtwoord is: {0}</p>", theUser.GetPassword(PasswordRecovery1.Answer)));
            sBody.Append("<br/>");
            sBody.Append(string.Format("<p><a href='{0}'>Klik hier om opnieuw in te loggen.</a></p>", sUrl));

            Email.SendMail(theUser.Email, "Uw nieuwe wachtwoord voor 'Meer met Minder'", sBody.ToString());
        }
        catch (ProviderException ex)
        {
            PasswordRecovery1.GeneralFailureText = ex.Message;
        }
        catch (Exception ex)
        {
            PasswordRecovery1.GeneralFailureText = "Onbekende fout";
        }
        finally
        {
            //Zorg dat het PasswordRecovery control niet zelf ook een mail stuurt: 
            e.Cancel = true;
        }

    }

    protected void PasswordRecovery1_AnswerLookupError(object sender, System.EventArgs e)
    {
        PasswordRecovery1.QuestionFailureText = "Het antwoord klopt niet met de vraag. Probeer nogmaals!";
    }

    protected void PasswordRecovery1_SendMailError(object sender, System.Web.UI.WebControls.SendMailErrorEventArgs e)
    {
        PasswordRecovery1.GeneralFailureText = "De e-mail met het wachtwoord kon niet naar het door u opgegeven adres worden verzondenj.";
    }

    protected void PasswordRecovery1_UserLookupError(object sender, System.EventArgs e)
    {
        //PasswordRecovery1.UserNameLabelText = "Deze gebruikersnaam is bij ons niet bekend!" 
    }

    protected void Page_Error(object sender, System.EventArgs e)
    {
        Exception ex = Server.GetLastError();
        if (ex != null)
        {
            PasswordRecovery1.GeneralFailureText = ex.Message;
        }
        else
        {
            PasswordRecovery1.GeneralFailureText = "Onbekende fout";
        }
        Server.ClearError();
    }
}
