﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default"
    MaintainScrollPositionOnPostback="true" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
    <h1>
        Demo Basic Controls</h1>
    <h3>
        Label, TextBox, Button</h3>
    &nbsp;<asp:Label ID="Label1" runat="server" Text="Enter your name:"></asp:Label>
    <br />
    <asp:TextBox ID="txtName" runat="server" MaxLength="50"></asp:TextBox><br />
    <asp:Button ID="btnSubmit" runat="server" OnClick="btnSubmit_Click" Text="OK" />
    <br />
    <br />
    <asp:Label ID="lblWelcome" runat="server"></asp:Label>
    <br />
    <h3>
        Checkbox, RadioButton</h3>
    <asp:CheckBox ID="StuurNieuwsbrief" runat="server" Text="Send me mail" 
        OnCheckedChanged="chkStuurNieuwsbrief_CheckedChanged" />
    <br />
    <br />
    <asp:RadioButton ID="RadioButton1" runat="server" GroupName="abc" Text="a" /><br />
    <asp:RadioButton ID="RadioButton2" runat="server" GroupName="abc" Text="b" />
    <br />
    <br />
    <asp:Button ID="btnVoorCheckbox" runat="server" OnClick="btnVoorCheckbox_Click" Text="OK" />
    <br />
    <h3>
        RadioButtonList, CheckBoxList</h3>
    <asp:RadioButtonList ID="rblGeslacht" runat="server">
        <asp:ListItem Selected="True" Value="0">Vrouw</asp:ListItem>
        <asp:ListItem Value="1">Man</asp:ListItem>
        <asp:ListItem Value="2">Niet opgegeven</asp:ListItem>
    </asp:RadioButtonList>
    <br />
    <asp:CheckBoxList ID="CheckBoxList1" runat="server">
    </asp:CheckBoxList>
    <br />
    <asp:Button ID="btnVoorGeslacht" runat="server" OnClick="btnVoorGeslacht_Click" Text="OK" />
    <br />
    <h3>
        Image</h3>
    <asp:Image ID="Image1" runat="server" ImageUrl="~/Images/book.gif" /><br />
    <br />
    <asp:Button ID="cmdWijzig" runat="server" OnClick="cmdWijzig_Click" 
        Text="Ander plaatje" /><br />
    <br />
    <h3>
        ImageButton</h3>
    <asp:ImageButton ID="ImageButton1" runat="server" ImageUrl="~/Images/Circle1.bmp"
        OnClick="ImageButton1_Click" />
    <asp:ImageButton ID="ImageButton2" runat="server" ImageUrl="~/Images/Circle2.bmp" />
    <asp:ImageButton ID="ImageButton3" runat="server" ImageUrl="~/Images/Circle3.bmp" />
    <h3>
        HyperLink, LinkButton</h3>
    <asp:HyperLink ID="HyperLink1" runat="server" NavigateUrl="http://www.fastbird.eu">Website gemaakt door mij</asp:HyperLink>
    &nbsp;
    <asp:LinkButton ID="LinkButton1" runat="server" OnClick="LinkButton1_Click">LinkButton</asp:LinkButton>
    <h3>
        Literal</h3>
    <asp:Literal ID="Literal1" runat="server"></asp:Literal>
    <asp:Literal ID="Literal2" runat="server"></asp:Literal>
    <asp:Literal ID="Literal3" runat="server"></asp:Literal>
    <asp:Button ID="btnLiterals" runat="server" OnClick="Button3_Click" Text="Literal Controls" />
    <br />
    <br />
    <h3>
        DropDownList, ListBox</h3>
    <asp:DropDownList ID="ddlTaal" runat="server" OnSelectedIndexChanged="ddlTaal_SelectedIndexChanged">
        <asp:ListItem>Engels</asp:ListItem>
        <asp:ListItem>Frans</asp:ListItem>
        <asp:ListItem>Duits</asp:ListItem>
    </asp:DropDownList>
    <br />
    <br />
    Single en MultiSelect:<br />
    <asp:ListBox ID="ListBox1" runat="server">
        <asp:ListItem>Engels</asp:ListItem>
        <asp:ListItem>Frans</asp:ListItem>
        <asp:ListItem>Duits</asp:ListItem>
    </asp:ListBox>
    &nbsp;<asp:ListBox ID="ListBox2" runat="server" SelectionMode="Multiple">
        <asp:ListItem>Engels</asp:ListItem>
        <asp:ListItem>Frans</asp:ListItem>
        <asp:ListItem>Duits</asp:ListItem>
    </asp:ListBox>
    <h3>
        Panel</h3>
    <asp:Panel ID="Panel1" runat="server" Font-Italic="True" Height="300px" ScrollBars="Auto"
        Width="365px" HorizontalAlign="Center">
        SONNET 116
        <br />
        Let me not to the marriage of true minds
        <br />
        Admit impediments.
        <br />
        Love is not love Which alters when it alteration finds,
        <br />
        Or bends with the remover to remove:
        <br />
        O no! it is an ever-fixed mark
        <br />
        That looks on tempests and is never shaken;
        <br />
        It is the star to every wandering bark,
        <br />
        Whose worth's unknown, although his height be taken. Love's not Time's fool, though
        rosy lips and cheeks
        <br />
        Within his bending sickle's compass come:
        <br />
        Love alters not with his brief hours and weeks,
        <br />
        But bears it out even to the edge of doom.
        <br />
        If this be error and upon me proved,<br />
        I never writ, nor no man ever loved.
        <br />
        <br />
        <asp:Button ID="Button1" runat="server" Text="Bewerk" />
        <asp:Button ID="Button2" runat="server" Font-Italic="False" Text="Verwijder" /></asp:Panel>
    <br />
    <asp:Button ID="btnTogglePanel" runat="server" OnClick="btnTogglePanel_Click" 
        Text="Wissel zichtbaarheid van Panel" />
    <h3>
        BulletedList</h3>
    <asp:BulletedList ID="BulletedList1" runat="server" BulletStyle="Numbered" DisplayMode="LinkButton">
        <asp:ListItem>Item 1</asp:ListItem>
        <asp:ListItem>Item 2</asp:ListItem>
        <asp:ListItem>Item 3</asp:ListItem>
    </asp:BulletedList>
    </form>
</body>
</html>
