﻿<%@ Page Title="" Language="C#" MasterPageFile="~/NavigationDemo/Nav.master" AutoEventWireup="true"
    CodeFile="TreeViewDemo.aspx.cs" Inherits="NavigationDemo_TreeViewDemo" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="Server">
    <h1>
        Restauranten:</h1>
    Maak hier uw keuze; geef aan in welke restaurants u&nbsp; geïnteresseerd bent:<br />
    <br />
    <asp:TreeView ID="tvLocations" runat="server" DataSourceID="dsLocations" 
        ImageSet="BulletedList3" ShowCheckBoxes="Leaf" 
        OnSelectedNodeChanged="tvLocations_SelectedNodeChanged" 
        ShowExpandCollapse="False">
        <ParentNodeStyle Font-Bold="False" />
        <HoverNodeStyle Font-Underline="True" ForeColor="#5555DD" />
        <SelectedNodeStyle Font-Underline="True" HorizontalPadding="0px" 
            VerticalPadding="0px" ForeColor="#5555DD" />
        <NodeStyle Font-Names="Verdana" Font-Size="8pt" ForeColor="Black" HorizontalPadding="5px"
            NodeSpacing="0px" VerticalPadding="0px" />
        <DataBindings>
            <asp:TreeNodeBinding DataMember="Restaurant" TextField="naam" />
            <asp:TreeNodeBinding DataMember="Bar" TextField="naam" />
            <asp:TreeNodeBinding DataMember="restaurants" Text="Restaurants" Value="Restaurants" />
            <asp:TreeNodeBinding DataMember="barren" Text="Barren" Value="Barren" />
            <asp:TreeNodeBinding DataMember="locaties" Text="Locaties" Value="Locaties" />
        </DataBindings>
    </asp:TreeView>
    <asp:XmlDataSource ID="dsLocations" runat="server" DataFile="~/NavigationDemo/Locations.xml">
    </asp:XmlDataSource>
    <br />
    <br />
    <asp:Button ID="btnCollapse" runat="server" OnClick="btnCollapse_Click" 
        Text="Inklappen" />
    <asp:Button ID="btnExpand" runat="server" OnClick="btnExpand_Click" 
        Text="Uitklappen" />
    <asp:Button ID="btnCollapseBars" runat="server" OnClick="btnCollapseBars_Click" 
        Text="Barren inklappen" />
    <asp:Button ID="btnAddNode" runat="server" OnClick="btnAddNode_Click" 
        Text="Restaurant toevoegen" /><br />
    <br />
    <br />
</asp:Content>
