﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class DataDemo_OrdersForEmployees : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            ddlEmp.DataSource = CData.GetEmployees();
            ddlEmp.DataValueField = "EmployeeID";
            ddlEmp.DataTextField = "FullName";
            ddlEmp.DataBind();
        }
    }
    protected void ddlEmp_SelectedIndexChanged(object sender, EventArgs e)
    {
        if (ddlEmp.SelectedIndex != 0)
        {
            int EmpId = Convert.ToInt32( ddlEmp.SelectedValue);

            GridView1.DataSource= CData.GetOrdersForEmployee(EmpId);
            GridView1.DataBind();
        }
    }
    protected void cmdAddEmployee_Click(object sender, EventArgs e)
    {
        Server.Transfer("~/AddEmp.aspx");
    }
}
