﻿<%@ WebHandler Language="C#" Class="MakePicture" %>

using System;
using System.Web;

public class MakePicture : IHttpHandler 
{
    public void ProcessRequest (HttpContext context) 
    {
        int iEmpID = 0;

        if (context.Request.QueryString["EmpID"] != null)
            iEmpID = int.Parse(context.Request.QueryString["EmpID"]);

        if (iEmpID != 0)
        {
            byte[] bytes = CBlob.GetPicture(iEmpID);

            if (bytes != null)
            {
                context.Response.ContentType = "image/jpeg";
                context.Response.OutputStream.Write(bytes, 0, bytes.Length);
                
            }
        }
    }
 
    public bool IsReusable 
    {
        get 
        {
            return false;
        }
    }

}