﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class LinqToSqlMoreTables : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        NWindSeveralTablesDataContext db = new NWindSeveralTablesDataContext();

        DataList1.DataSource = from p in db.Products
                               where p.Supplier.CompanyName == "Exotic Liquids"
                               orderby p.ProductName
                               select p;

        DataList1.DataBind();

        var query = from q in db.Customers
                    where q.CustomerID == "ALFKI"
                    select new { q.CustomerID, q.Orders[0].Shipper.CompanyName };

        gvOrder.DataSource = query;
        gvOrder.DataBind();
    }
}
