﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="FormViewInsert.aspx.cs" Inherits="FormViewInsert" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <h1>
            Add New Product
        </h1>
        <asp:FormView ID="fvDetails" runat="server" DataKeyNames="ProductID" DataSourceID="odsOneProduct"
            DefaultMode="Insert" 
            oniteminserted="fvDetails_ItemInserted">
            
            <InsertItemTemplate>
               <table><tr><td>
                ProductName:</td><td>
                <asp:TextBox ID="ProductNameTextBox" runat="server" Text='<%# Bind("ProductName") %>' />
                </td></tr>
                <tr><td>
                UnitPrice:</td><td>
                <asp:TextBox ID="UnitPriceTextBox" runat="server" Text='<%# Bind("UnitPrice") %>' />
                </td></tr>
                <tr><td>
                Discontinued:</td><td>
                <asp:CheckBox ID="DiscontinuedCheckBox" runat="server" Checked='<%# Bind("Discontinued") %>' />
                </td></tr>
                <tr><td>
                Category:</td><td>
                <asp:DropDownList ID="ddlCategories" runat="server" 
                    DataSourceID="obsCategories" 
                    SelectedValue='<%# Bind("CategoryID", "{0}") %>' 
                    DataTextField="CategoryName" DataValueField="CategoryID">
                </asp:DropDownList>
                <br />
                </td></tr></table>
                <asp:LinkButton ID="InsertButton" runat="server" CausesValidation="True" CommandName="Insert"
                    Text="Insert" ForeColor="White" />
                &nbsp;<asp:LinkButton ID="InsertCancelButton" runat="server" CausesValidation="False"
                    CommandName="Cancel" Text="Cancel" ForeColor="White" />
            </InsertItemTemplate>
           
        </asp:FormView>
        <asp:ObjectDataSource ID="odsOneProduct" runat="server" DataObjectTypeName="Product"
            InsertMethod="Insert" SelectMethod="Select" TypeName="Product"></asp:ObjectDataSource>
    </div>
    <asp:ObjectDataSource ID="obsCategories" runat="server" 
        SelectMethod="SelectCategories" TypeName="Product"></asp:ObjectDataSource>
    </form>
</body>
</html>
