﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="GridView.aspx.cs" Inherits="GridView" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <h1>
            Werken 
            met de GridView</h1>
        <asp:GridView ID="gvProducts" runat="server" AllowPaging="True" AllowSorting="True" 
            CellPadding="4" DataKeyNames="ProductID" DataSourceID="odsProducts" ForeColor="#333333"
            GridLines="None" AutoGenerateColumns="False" 
            onrowupdating="gvProducts_RowUpdating">
            <RowStyle BackColor="#EFF3FB" />
            
            <Columns>
                <asp:CommandField ShowEditButton="True" ShowSelectButton="True" />
                <asp:HyperLinkField DataNavigateUrlFields="ProductID" DataNavigateUrlFormatString="~/ConfirmDelete.aspx?ID={0}&amp;ReturnTo=GridView.aspx"
                    Text="Delete" />
                <asp:BoundField DataField="ProductID" HeaderText="ProductID" />
                <asp:BoundField DataField="ProductName" HeaderText="Name" />
                <asp:TemplateField HeaderText="UnitPrice">
                    <EditItemTemplate>
                        <asp:TextBox ID="txtUnitPrice" runat="server" Text='<%# Bind("UnitPrice") %>'></asp:TextBox>
                    </EditItemTemplate>
                    <ItemTemplate>
                        <asp:Label ID="Label2" runat="server" Text='<%# string.Format("{0:C}",  Eval("UnitPrice")) %>'></asp:Label>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Discontinued">
                    <EditItemTemplate>
                        <asp:CheckBox ID="chkDiscontinued" runat="server" Checked='<%# Bind("Discontinued") %>'></asp:CheckBox>
                    </EditItemTemplate>
                    <ItemTemplate>
                        <asp:Label ID="Label1" runat="server" Text='<%# Bind("Discontinued") %>'></asp:Label>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Category">
                    <EditItemTemplate>
                        <asp:DropDownList ID="ddlCategories" runat="server" Text='<%# Bind("CategoryID") %>' DataTextField="CategoryName" DataSourceID="obsCategories" DataValueField="CategoryID"></asp:DropDownList>
                    </EditItemTemplate>
                    <ItemTemplate>
                        <asp:Label ID="Label3" runat="server" Text='<%# Bind("CategoryName") %>'></asp:Label>
                    </ItemTemplate>
                </asp:TemplateField>
            </Columns>
            <FooterStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
            <PagerStyle BackColor="#2461BF" ForeColor="White" HorizontalAlign="Center" />
            <EmptyDataTemplate>
                Geen gegevens gevonden!
            </EmptyDataTemplate>
            <SelectedRowStyle BackColor="#D1DDF1" Font-Bold="True" ForeColor="#333333" />
            <HeaderStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
            <EditRowStyle BackColor="#2461BF" />
            <AlternatingRowStyle BackColor="White" />
        </asp:GridView>
        <asp:ObjectDataSource ID="odsProducts" runat="server" DataObjectTypeName="Product"
            DeleteMethod="Delete" InsertMethod="Insert" SelectMethod="SelectAll" TypeName="Product"
            UpdateMethod="Update"></asp:ObjectDataSource>
    <asp:ObjectDataSource ID="obsCategories" runat="server" 
        SelectMethod="SelectCategories" TypeName="Product"></asp:ObjectDataSource>
        <br />
        <asp:LinkButton ID="lbNewProductFV" runat="server" OnClick="lbNewProduct_Click">Nieuw product (FormView gebruiken)</asp:LinkButton>
        <br />
        <br />
        <asp:LinkButton ID="lbNewProductDV" runat="server" 
            OnClick="lbNewProductDV_Click">Nieuw productt (DetailsView gebruiken)</asp:LinkButton>
        <br />
        </div>
    </form>
</body>
</html>
