﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="ListView.aspx.cs" Inherits="ListView" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <link href="Style/default.css" rel="stylesheet" type="text/css" />
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <h1>
        Producten met ListView en DataPager</h1>
    <asp:DataPager ID="DataPager1" runat="server" PagedControlID="lvProducts" PageSize="5">
        <Fields>
            <asp:NextPreviousPagerField ButtonType="Button"  ShowFirstPageButton="True" ShowLastPageButton="True" />
        </Fields>
    </asp:DataPager>
    <asp:ListView ID="lvProducts" runat="server" DataSourceID="odsProducts" DataKeyNames="ProductID"
        OnItemCommand="lvProducts_ItemCommand" 
        oniteminserted="lvProducts_ItemInserted" 
        oniteminserting="lvProducts_ItemInserting" 
        >
        <LayoutTemplate>
            <ul class="photoList">
                <asp:PlaceHolder ID="itemPlaceHolder" runat="server" />
            </ul>
        </LayoutTemplate>
        <ItemTemplate>
            <li>
                <img src="Images/<%# Eval("ProductID") %>.jpg" />
                <br />
                <%# Eval("ProductName") %>
            </li>
        </ItemTemplate>
        <EmptyDataTemplate>
            <div>
                Geen producten beschikbaar</div>
        </EmptyDataTemplate>
        <InsertItemTemplate>
            <div style="background: Yellow">
            Product name:
                <asp:TextBox runat="server" ID="txtProductName" Text='<%# Bind("ProductName") %>'></asp:TextBox>
                <br />
                Unit price:
                <asp:TextBox runat="server" ID="txtUnitPrice" Text='<%# Bind("UnitPrice") %>'></asp:TextBox>
                <br />
                Category:
                <asp:DropDownList ID="ddlCategories" runat="server" 
                    DataTextField="CategoryName" DataSourceID="obsCategories" DataValueField="CategoryID">
                </asp:DropDownList>
              
                <br />
            </div>
            <asp:Button ID="Button3" runat="server" CommandName="Insert" Text="Insert" />
            <asp:Button ID="Button4" runat="server" CommandName="Cancel" Text="Cancel" /><br />
        </InsertItemTemplate>
    </asp:ListView>
    <asp:ObjectDataSource ID="odsProducts" runat="server" DataObjectTypeName="Product"
        DeleteMethod="Delete" InsertMethod="Insert" SelectMethod="SelectAll" TypeName="Product"
        UpdateMethod="Update"></asp:ObjectDataSource>
    <asp:ObjectDataSource ID="obsCategories" runat="server" SelectMethod="SelectCategories"
        TypeName="Product"></asp:ObjectDataSource>
    <br />
    <br />
    <asp:LinkButton ID="lbAddNew" runat="server" OnClick="lbAddNew_Click">Nieuwe toevoegen</asp:LinkButton>
    </form>
</body>
</html>
