﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace FooterProject
{
    [DefaultProperty("Text")]
    [ToolboxData("<{0}:Footer runat=server></{0}:Footer>")]
    public class Footer : WebControl
    {
        
        [Bindable(true)]
        [Category("Appearance")]
        [DefaultValue("Uw eigen tekst")]
        [Localizable(true)]
        [Description("Nog wat extra informatie die u kunt toevoegen")]
        public string Text
        {
            get
            {
                String s = (String)ViewState["Text"];
                return ((s == null) ? "Your custom text" : s);
            }

            set
            { ViewState["Text"] = value; }
        }

        protected override void RenderContents(HtmlTextWriter output)
        {
            output.Write("<hr/>");
            output.WriteFullBeginTag("table");
            output.WriteFullBeginTag("tr");
            output.WriteFullBeginTag("td");
            output.Write("Copyright FastBird 2009");
            output.WriteEndTag("td");
            output.WriteFullBeginTag("td");
            output.Write("<a href='http://www.fastbird.eu'>www.fastbird.eu</a>");
            output.WriteEndTag("td");
            output.WriteFullBeginTag("td");
            output.Write(Text);
            output.WriteEndTag("td");
            output.WriteEndTag("tr");
            output.WriteEndTag("table");

        }
    }
}
