﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace GenderPickerProject
{
    [DefaultProperty("Text")]
    [ToolboxData("<{0}:GenderPicker runat=server></{0}:GenderPicker>")]
    public class GenderPicker : RadioButtonList
    {
        protected override void OnInit(EventArgs e)
        {
            base.OnInit(e);
            EnsureChildControls();  //Takes care the content is shown in the design view, too.
        }

        protected override void CreateChildControls()
        {
            Controls.Clear();
            LoadGenders();
        }

        private void LoadGenders()
        {
            this.Items.Clear();
            this.Items.Add(new ListItem("Man", "m"));
            this.Items.Add(new ListItem("Vrouw", "f"));
            this.Items.Add(new ListItem("Liever geen antwoord", "?"));
        }

    }
}
