﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.IO;

/// <summary>
/// Summary description for LogError
/// </summary>
public class LogError
{

    public static void WriteEntry(Exception ex)
    {
        string sPath = HttpContext.Current.Server.MapPath("~/ErrorLog.txt");

        FileInfo fi = new FileInfo(sPath);

        StreamWriter sw = fi.AppendText();
        sw.WriteLine(ex.Message);

        sw.Close();

    }

public static void SendTheError(string sErr, string sUrl)
{
    string sSubject = string.Format("Error on our demosite!; url={0}", sUrl);
    Email.SendMail(sSubject, sErr);
}
}
