﻿<%@ Application Language="C#" %>

<script RunAt="server">

    void Application_Start(object sender, EventArgs e) 
    {
        // Code that runs on application startup

    }
    
    void Application_End(object sender, EventArgs e) 
    {
        //  Code that runs on application shutdown

    }
        
    void Application_Error(object sender, EventArgs e) 
    {
        // Code that runs when an unhandled error occurs
        Exception Ex = Server.GetLastError(); 

        if (Ex != null)
        {
            Exception innerEx = Ex.InnerException;

            if (innerEx != null) Ex = innerEx;
            
            StringBuilder sb = new StringBuilder();
            sb.Append("Error details:");
            sb.Append("URL causing the error: <br/>");
            sb.Append(Server.HtmlEncode(Request.Url.ToString()));
            sb.Append("<br/><br/>");
            sb.Append("Error messge: <br/>");
            sb.Append(Ex.Message);
            sb.Append("Stack trace: <br/>");
            sb.Append(Ex.StackTrace);

            LogError.SendTheError(sb.ToString(), Server.HtmlEncode(Request.Url.ToString()));

            Server.ClearError();
            Server.Transfer("Default.aspx");
        }
    }



    void Session_Start(object sender, EventArgs e) 
    {
        // Code that runs when a new session is started

    }

    void Session_End(object sender, EventArgs e) 
    {
        // Code that runs when a session ends. 
        // Note: The Session_End event is raised only when the sessionstate mode
        // is set to InProc in the Web.config file. If session mode is set to StateServer 
        // or SQLServer, the event is not raised.

    }
       
</script>

