﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.Diagnostics;
using System.Collections;

public partial class DemoEventLog : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if(!IsPostBack)
            txtEntry.Text = String.Format("Test at {0}", DateTime.Now.ToShortTimeString());
    }
    protected void cmdGo_Click(object sender, EventArgs e)
    {
        WriteToEventLog(txtEntry.Text, EventLogEntryType.Information);
    }

    public static void WriteToEventLog(string sMessage, EventLogEntryType entryType)
    {
        try
        {
            string source = "MonitoringDemo";
            if (!EventLog.SourceExists(source))
                EventLog.CreateEventSource(source, "Application");
            EventLog.WriteEntry(source, sMessage, entryType);


        }
        catch (Exception ex)
        {


        }
    }
    protected void cmdGetEntries_Click(object sender, EventArgs e)
    {
        EventLog myLog = new EventLog("Application", ".", "MonitoringDemo");
        myLog.Log = "Application";
        myLog.MachineName = ".";

        Dictionary<string, string> myEntries = new Dictionary<string, string>();

        foreach (EventLogEntry entry in myLog.Entries)
        {
            if (entry.Source == "MonitoringDemo")
            {
                myEntries.Add(entry.Message, entry.EntryType.ToString());
            }
        }

        GridView1.DataSource = myEntries;
        GridView1.DataBind();
    }
}
