﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="BasicWebparts.aspx.cs" Inherits="BasicWebparts" %>

<%@ Register Src="WeatherNews.ascx" TagName="WeatherNews" TagPrefix="uc1" %>
<%@ Register Src="News.ascx" TagName="News" TagPrefix="uc2" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:WebPartManager ID="WebPartManager1" runat="server">
        </asp:WebPartManager>
        <br />
        <asp:DropDownList ID="cboDisplayMode" runat="server" AutoPostBack="True" Width="217px"
            OnSelectedIndexChanged="cboDisplayMode_SelectedIndexChanged">
            <asp:ListItem>Browse</asp:ListItem>
            <asp:ListItem>Design</asp:ListItem>
            <asp:ListItem>Edit</asp:ListItem>
            <asp:ListItem>Catalog</asp:ListItem>
            <asp:ListItem>Connect</asp:ListItem>
        </asp:DropDownList>
        <br />
        <br />
        <br />
    </div>
    <br />
    <table>
        <tr>
            <td>
                <asp:EditorZone ID="edZone" runat="server" BackColor="#F7F6F3" BorderColor="#CCCCCC"
                    BorderWidth="1px" Font-Names="Verdana" Padding="6">
                    <HeaderStyle BackColor="#E2DED6" Font-Bold="True" Font-Size="0.8em" ForeColor="#333333" />
                    <LabelStyle Font-Size="0.8em" ForeColor="#333333" />
                    <HeaderVerbStyle Font-Bold="False" Font-Size="0.8em" Font-Underline="False" ForeColor="#333333" />
                    <PartChromeStyle BorderColor="#E2DED6" BorderStyle="Solid" BorderWidth="1px" />
                    <ZoneTemplate>
                        <asp:AppearanceEditorPart ID="AppearanceEditorPart1" runat="server" />
                        <asp:LayoutEditorPart ID="LayoutEditorPart1" runat="server" />
                    </ZoneTemplate>
                    <PartStyle BorderColor="#F7F6F3" BorderWidth="5px" />
                    <FooterStyle BackColor="#E2DED6" HorizontalAlign="Right" />
                    <EditUIStyle Font-Names="Verdana" Font-Size="0.8em" ForeColor="#333333" />
                    <InstructionTextStyle Font-Size="0.8em" ForeColor="#333333" />
                    <ErrorStyle Font-Size="0.8em" />
                    <VerbStyle Font-Names="Verdana" Font-Size="0.8em" ForeColor="#333333" />
                    <EmptyZoneTextStyle Font-Size="0.8em" ForeColor="#333333" />
                    <PartTitleStyle Font-Bold="True" Font-Size="0.8em" ForeColor="#333333" />
                </asp:EditorZone>
                &nbsp;
            </td>
            <td style="width: 3px">
                <asp:CatalogZone ID="catZone" runat="server" BackColor="#F7F6F3" BorderColor="#CCCCCC"
                    BorderWidth="1px" Font-Names="Verdana" Padding="6">
                    <HeaderVerbStyle Font-Bold="False" Font-Size="0.8em" Font-Underline="False" ForeColor="#333333" />
                    <PartTitleStyle BackColor="#5D7B9D" Font-Bold="True" Font-Size="0.8em" ForeColor="White" />
                    <PartChromeStyle BorderColor="#E2DED6" BorderStyle="Solid" BorderWidth="1px" />
                    <InstructionTextStyle Font-Size="0.8em" ForeColor="#333333" />
                    <PartLinkStyle Font-Size="0.8em" />
                    <EmptyZoneTextStyle Font-Size="0.8em" ForeColor="#333333" />
                    <LabelStyle Font-Size="0.8em" ForeColor="#333333" />
                    <VerbStyle Font-Names="Verdana" Font-Size="0.8em" ForeColor="#333333" />
                    <ZoneTemplate>
                        <asp:PageCatalogPart ID="PageCatalogPart1" runat="server" />
                    </ZoneTemplate>
                    <PartStyle BorderColor="#F7F6F3" BorderWidth="5px" />
                    <SelectedPartLinkStyle Font-Size="0.8em" />
                    <FooterStyle BackColor="#E2DED6" HorizontalAlign="Right" />
                    <HeaderStyle BackColor="#E2DED6" Font-Bold="True" Font-Size="0.8em" ForeColor="#333333" />
                    <EditUIStyle Font-Names="Verdana" Font-Size="0.8em" ForeColor="#333333" />
                </asp:CatalogZone>
                &nbsp;<br />
                <br />
            </td>
        </tr>
        <tr>
            <td>
                <asp:WebPartZone ID="leftZone" runat="server" BorderColor="#CCCCCC" Font-Names="Verdana"
                    HeaderText="Left Zone" Padding="6">
                    <PartChromeStyle BackColor="#F7F6F3" BorderColor="#E2DED6" Font-Names="Verdana" ForeColor="White" />
                    <MenuLabelHoverStyle ForeColor="#E2DED6" />
                    <EmptyZoneTextStyle Font-Size="0.8em" />
                    <MenuLabelStyle ForeColor="White" />
                    <MenuVerbHoverStyle BackColor="#F7F6F3" BorderColor="#CCCCCC" BorderStyle="Solid"
                        BorderWidth="1px" ForeColor="#333333" />
                    <HeaderStyle Font-Size="0.7em" ForeColor="#CCCCCC" HorizontalAlign="Center" />
                    <ZoneTemplate>
                        <uc1:WeatherNews ID="WeatherNews1" Title="Weather Forecast" runat="server" />
                    </ZoneTemplate>
                    <MenuVerbStyle BorderColor="#5D7B9D" BorderStyle="Solid" BorderWidth="1px" ForeColor="White" />
                    <PartStyle Font-Size="0.8em" ForeColor="#333333" />
                    <TitleBarVerbStyle Font-Size="0.6em" Font-Underline="False" ForeColor="White" />
                    <MenuPopupStyle BackColor="#5D7B9D" BorderColor="#CCCCCC" BorderWidth="1px" Font-Names="Verdana"
                        Font-Size="0.6em" />
                    <PartTitleStyle BackColor="#5D7B9D" Font-Bold="True" Font-Size="0.8em" ForeColor="White" />
                </asp:WebPartZone>
            </td>
            <td style="width: 3px">
                <asp:WebPartZone ID="rightZone" runat="server" BorderColor="#CCCCCC" Font-Names="Verdana"
                    HeaderText="Right Zone" Padding="6">
                    <PartChromeStyle BackColor="#F7F6F3" BorderColor="#E2DED6" Font-Names="Verdana" ForeColor="White" />
                    <MenuLabelHoverStyle ForeColor="#E2DED6" />
                    <EmptyZoneTextStyle Font-Size="0.8em" />
                    <MenuLabelStyle ForeColor="White" />
                    <MenuVerbHoverStyle BackColor="#F7F6F3" BorderColor="#CCCCCC" BorderStyle="Solid"
                        BorderWidth="1px" ForeColor="#333333" />
                    <HeaderStyle Font-Size="0.7em" ForeColor="#CCCCCC" HorizontalAlign="Center" />
                    <ZoneTemplate>
                        <uc2:News ID="News1" title="Today's news" runat="server" />
                    </ZoneTemplate>
                    <MenuVerbStyle BorderColor="#5D7B9D" BorderStyle="Solid" BorderWidth="1px" ForeColor="White" />
                    <PartStyle Font-Size="0.8em" ForeColor="#333333" />
                    <TitleBarVerbStyle Font-Size="0.6em" Font-Underline="False" ForeColor="White" />
                    <MenuPopupStyle BackColor="#5D7B9D" BorderColor="#CCCCCC" BorderWidth="1px" Font-Names="Verdana"
                        Font-Size="0.6em" />
                    <PartTitleStyle BackColor="#5D7B9D" Font-Bold="True" Font-Size="0.8em" ForeColor="White" />
                </asp:WebPartZone>
            </td>
        </tr>
    </table>
    <br />
    <br />
    </form>
</body>
</html>
