﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.Globalization;

public partial class LocalizedPage : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        lblGlobal.Text = Resources.Resource.AppName;
        lblConfirm.Text = "Current LCID: " + Profile.Language;
    }

    protected void cmdApply_Click(object sender, EventArgs e)
    {
        Server.Transfer("~/Default.aspx");
    }
    protected void ddlLang_SelectedIndexChanged(object sender, EventArgs e)
    {
        Profile.Language = ddlLang.SelectedValue;
        
        CultureInfo ci = new CultureInfo(ddlLang.SelectedValue);

        lblConfirm.Text = "You have chosen: " + ci.EnglishName;
    }
}
