﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;


public class MyRewriter : IHttpModule
{
    HttpApplication _application = null;

    public void Dispose()
    {
    }

    public void Init(HttpApplication context)
    {
        context.BeginRequest += new EventHandler(context_BeginRequest);
        context.PostRequestHandlerExecute += new EventHandler(context_PostRequestHandlerExecute);
        _application = context;
    }

    void context_PostRequestHandlerExecute(object sender, EventArgs e)
    {
        _application.Context.Response.Output.Write("<!-- This page was handled by an HttpModule -->");
    }
  
    void context_BeginRequest(object sender, EventArgs e)
    {
        string sUrl = _application.Request.RawUrl;

        if (sUrl.Contains("Catalog/") && (!sUrl.Contains("Product.aspx")))
        {
            string sProd = sUrl.Substring(sUrl.LastIndexOf("/")+1);
            sUrl = sUrl.Replace("/" + sProd, "");

            string sCat = sUrl.Substring(sUrl.LastIndexOf("/")+1);

            string sRedirectUrl = string.Format("~/Catalog/SimpleProduct.aspx?CatalogName={0}&ProductName={1}", sCat, sProd);

            _application.Context.RewritePath(sRedirectUrl);

        }
    }
}

