﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;


//Voorbeeld uit MS Press

public partial class AsynchPage : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        AddOnPreRenderCompleteAsync(
            new BeginEventHandler(BeginProcessRequest),
            new EndEventHandler(EndProcessRequest));
    }
    protected IAsyncResult BeginProcessRequest(object sender, EventArgs e, AsyncCallback cb, object extraData)
    {
        Response.Write("<p>Begin process request starting...</p>");

        ImageAsynchOperation imageOperation = new 
            ImageAsynchOperation(cb, this.Context, extraData);

        imageOperation.StartAsync();

        Response.Write("<p>Begin process request queued...</p>");

        return imageOperation;
    }

    protected void EndProcessRequest(IAsyncResult result)
    {
        Response.Write("<p>End process request ...</p>");
        
    }
}