﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;
using System.Data;

// NOTE: If you change the interface name "IProducts" here, you must also update the reference to "IProducts" in Web.config.

[ServiceContract]
public interface IProducts
{
    [OperationContract]
    Product GetProductByID(int id);

    [OperationContract]
    DataTable GetAllProducts();
}

[DataContract]
public class Product
{
    [DataMember]
    public int ProductID;

    [DataMember]
    public string ProductName;

    [DataMember]
    public decimal UnitPrice;

    [DataMember]
    public bool Discontinued;
}
